// Copyright 2009 Oliver Sturm <oliver@sturmnet.org> All rights reserved. 

#light

open System
open System.Data
open System.Data.SqlClient

let connStr = 
    (new SqlConnectionStringBuilder(
        DataSource=".", 
        IntegratedSecurity=true, 
        InitialCatalog="test")).ConnectionString
 
let getPeople() =
        seq { 
          use connection = new SqlConnection(connStr)
          connection.Open()
          use command = new SqlCommand("select name, age from people", connection)
          use reader = command.ExecuteReader()
          while reader.Read() do
            Console.WriteLine "*** Reading record"
            yield (reader.GetString 0, reader.GetInt32 1) 
        }
            
let people = getPeople()
for (name, age) in people do
    printfn "Got %s, aged %d" name age
    
    
open System.Windows.Forms

let getPeopleTable() = 
    use connection = new SqlConnection(connStr)
    do connection.Open()
    use command = new SqlCommand("select name, age from people", connection)
    use dataAdapter = new SqlDataAdapter(command)
    let table = new DataTable()
    dataAdapter.Fill table |> ignore
    table

let view = new DataGridView(Dock = DockStyle.Fill, DataSource = getPeopleTable())
let window = new Form(Visible=true)
window.Controls.Add(view)
Application.Run(window)
