// Copyright 2009 Oliver Sturm <oliver@sturmnet.org> All rights reserved. 

#light

let outputList list = 
    for x in list do printf "%A \n" x
    printf "\n"

open System
open System.Data.SqlClient
open PeopleData

let database = 
    let connStr = (new SqlConnectionStringBuilder(
                    DataSource=".", 
                    IntegratedSecurity=true, 
                    InitialCatalog="test")).ConnectionString
                    
    new PeopleClassesDataContext(connStr)
    
open Microsoft.FSharp.Linq
open Microsoft.FSharp.Linq.Query

database.Log <- Console.Out

let personIsOldEnough (person:People) = person.Age.Value >= 30

let people = 
        query <@ seq { 
            for person in database.Peoples do
                if person.Age.Value > 30 then 
                // if person.Name = "Harry" then
                // This does not work:
                // if personIsOldEnough person then
                    yield (person.Name, person.Age) 
        } @>

outputList people

let ageSortedPeople = 
    query <@ Seq.sortBy
                ( fun (p:People) -> p.Age )
                ( seq { for person in database.Peoples do yield person } ) @>

outputList ageSortedPeople

Console.ReadLine() |> ignore