﻿// Copyright 2009 Oliver Sturm <oliver@sturmnet.org> All rights reserved. 

#light

namespace Helpers

module Data = 
    type CountryInfo = 
        {
            Name: string;
            AreaKM2: int;
            Population: int
        }

    let countryInfoList = 
        seq {
            yield { Name = "Afghanistan"; AreaKM2 = 647500; Population = 29929000 }
            yield { Name = "Albania"; AreaKM2 = 28748; Population = 3563100 }
            yield { Name = "Algeria"; AreaKM2 = 2381740; Population = 32531900 }
            yield { Name = "American Samoa"; AreaKM2 = 199; Population = 57880 }
            yield { Name = "Andorra"; AreaKM2 = 468; Population = 70550 }
            yield { Name = "Angola"; AreaKM2 = 1246700; Population = 11190800 }
            yield { Name = "Anguilla"; AreaKM2 = 102; Population = 13250 }
            yield { Name = "Antigua & Barbuda"; AreaKM2 = 443; Population = 68720 }
            yield { Name = "Argentina"; AreaKM2 = 2766890; Population = 39537900 }
            yield { Name = "Armenia"; AreaKM2 = 29800; Population = 2982900 }
            yield { Name = "Aruba"; AreaKM2 = 193; Population = 71570 }
            yield { Name = "Australia"; AreaKM2 = 7686850; Population = 20090400 }
            yield { Name = "Austria"; AreaKM2 = 83858; Population = 8184700 }
            yield { Name = "Azerbaijan"; AreaKM2 = 86600; Population = 7912000 }
            yield { Name = "Bahamas"; AreaKM2 = 13940; Population = 301800 }
            yield { Name = "Bahrain"; AreaKM2 = 665; Population = 688300 }
            yield { Name = "Bangladesh"; AreaKM2 = 144000; Population = 144319600 }
            yield { Name = "Barbados"; AreaKM2 = 431; Population = 279300 }
            yield { Name = "Belarus"; AreaKM2 = 207600; Population = 10300500 }
            yield { Name = "Belgium"; AreaKM2 = 30510; Population = 10364400 }
            yield { Name = "Belize"; AreaKM2 = 22966; Population = 279500 }
            yield { Name = "Benin"; AreaKM2 = 112620; Population = 7460000 }
            yield { Name = "Bermuda"; AreaKM2 = 53; Population = 65370 }
            yield { Name = "Bhutan"; AreaKM2 = 47000; Population = 2232300 }
            yield { Name = "Bolivia"; AreaKM2 = 1098580; Population = 8857900 }
            yield { Name = "Bosnia & Herzegovina"; AreaKM2 = 51129; Population = 4025500 }
            yield { Name = "Botswana"; AreaKM2 = 600370; Population = 1640100 }
            yield { Name = "Brazil"; AreaKM2 = 8511965; Population = 186112800 }
            yield { Name = "British Virgin Islands"; AreaKM2 = 153; Population = 22640 }
            yield { Name = "Brunei"; AreaKM2 = 5770; Population = 372400 }
            yield { Name = "Bulgaria"; AreaKM2 = 110910; Population = 7450300 }
            yield { Name = "Burkina Faso"; AreaKM2 = 274200; Population = 13925300 }
            yield { Name = "Burundi"; AreaKM2 = 27830; Population = 6370600 }
            yield { Name = "Cambodia"; AreaKM2 = 181040; Population = 13607100 }
            yield { Name = "Cameroon"; AreaKM2 = 475440; Population = 16380000 }
            yield { Name = "Canada"; AreaKM2 = 9976140; Population = 32805000 }
            yield { Name = "Cape Verde"; AreaKM2 = 4033; Population = 418200 }
            yield { Name = "Cayman Islands"; AreaKM2 = 262; Population = 44270 }
            yield { Name = "Central African Republic"; AreaKM2 = 622984; Population = 3799900 }
            yield { Name = "Chad"; AreaKM2 = 1284000; Population = 9826400 }
            yield { Name = "Chile"; AreaKM2 = 756950; Population = 15980900 }
            yield { Name = "China"; AreaKM2 = 9596960; Population = 1306313800 }
            yield { Name = "Colombia"; AreaKM2 = 1138910; Population = 42954300 }
            yield { Name = "Comoros"; AreaKM2 = 2170; Population = 671200 }
            yield { Name = "Congo (Dem. Rep.)"; AreaKM2 = 2345410; Population = 60085800 }
            yield { Name = "Congo (Rep.)"; AreaKM2 = 342000; Population = 3039100 }
            yield { Name = "Cook Islands"; AreaKM2 = 240; Population = 21390 }
            yield { Name = "Costa Rica"; AreaKM2 = 51100; Population = 4016200 }
            yield { Name = "Cote d'Ivoire"; AreaKM2 = 322460; Population = 17298000 }
            yield { Name = "Croatia"; AreaKM2 = 56542; Population = 4495900 }
            yield { Name = "Cuba"; AreaKM2 = 110860; Population = 11346700 }
            yield { Name = "Cyprus"; AreaKM2 = 9250; Population = 780100 }
            yield { Name = "Czech Republic"; AreaKM2 = 78866; Population = 10241100 }
            yield { Name = "Denmark"; AreaKM2 = 43094; Population = 5432300 }
            yield { Name = "Djibouti"; AreaKM2 = 23000; Population = 476700 }
            yield { Name = "Dominica"; AreaKM2 = 754; Population = 69030 }
            yield { Name = "Dominican Republic"; AreaKM2 = 48730; Population = 8950000 }
            yield { Name = "East Timor"; AreaKM2 = 15007; Population = 1040900 }
            yield { Name = "Ecuador"; AreaKM2 = 283560; Population = 13363600 }
            yield { Name = "Egypt"; AreaKM2 = 1001450; Population = 77505800 }
            yield { Name = "El Salvador"; AreaKM2 = 21040; Population = 6704900 }
            yield { Name = "Equatorial Guinea"; AreaKM2 = 28051; Population = 535900 }
            yield { Name = "Eritrea"; AreaKM2 = 121320; Population = 4561600 }
            yield { Name = "Estonia"; AreaKM2 = 45226; Population = 1332900 }
            yield { Name = "Ethiopia"; AreaKM2 = 1127127; Population = 73053300 }
            yield { Name = "Falkland Islands"; AreaKM2 = 12173; Population = 2970 }
            yield { Name = "Faroe Islands"; AreaKM2 = 1399; Population = 46960 }
            yield { Name = "Fiji"; AreaKM2 = 18270; Population = 893400 }
            yield { Name = "Finland"; AreaKM2 = 337030; Population = 5223400 }
            yield { Name = "France"; AreaKM2 = 547030; Population = 60656200 }
            yield { Name = "French Guiana"; AreaKM2 = 91000; Population = 195500 }
            yield { Name = "French Polynesia"; AreaKM2 = 4167; Population = 270500 }
            yield { Name = "Gabon"; AreaKM2 = 267667; Population = 1389200 }
            yield { Name = "Gambia"; AreaKM2 = 11300; Population = 1593300 }
            yield { Name = "Georgia"; AreaKM2 = 69700; Population = 4677400 }
            yield { Name = "Germany"; AreaKM2 = 357021; Population = 82431400 }
            yield { Name = "Ghana"; AreaKM2 = 239460; Population = 21029900 }
            yield { Name = "Gibraltar"; AreaKM2 = 6; Population = 27880 }
            yield { Name = "Great Britain (and Northern Ireland)"; AreaKM2 = 244820; Population = 60441500 }
            yield { Name = "Greece"; AreaKM2 = 131940; Population = 10668400 }
            yield { Name = "Greenland"; AreaKM2 = 2166086; Population = 56380 }
            yield { Name = "Grenada"; AreaKM2 = 344; Population = 89500 }
            yield { Name = "Guadeloupe"; AreaKM2 = 1780; Population = 448700 }
            yield { Name = "Guam"; AreaKM2 = 549; Population = 168600 }
            yield { Name = "Guatemala"; AreaKM2 = 108890; Population = 14655200 }
            yield { Name = "Guernsey"; AreaKM2 = 78; Population = 65230 }
            yield { Name = "Guinea"; AreaKM2 = 245857; Population = 9467900 }
            yield { Name = "Guinea-Bissau"; AreaKM2 = 36120; Population = 1416000 }
            yield { Name = "Guyana"; AreaKM2 = 214970; Population = 765300 }
            yield { Name = "Haiti"; AreaKM2 = 27750; Population = 8121600 }
            yield { Name = "Honduras"; AreaKM2 = 112090; Population = 6975200 }
            yield { Name = "Hong Kong"; AreaKM2 = 1092; Population = 6898700 }
            yield { Name = "Hungary"; AreaKM2 = 93030; Population = 10006800 }
            yield { Name = "Iceland"; AreaKM2 = 103000; Population = 296700 }
            yield { Name = "India"; AreaKM2 = 3287590; Population = 1080264400 }
            yield { Name = "Indonesia"; AreaKM2 = 1919440; Population = 241973900 }
            yield { Name = "Iran"; AreaKM2 = 1648000; Population = 68017900 }
            yield { Name = "Iraq"; AreaKM2 = 437072; Population = 26074900 }
            yield { Name = "Ireland"; AreaKM2 = 70280; Population = 4015700 }
            yield { Name = "Israel"; AreaKM2 = 20770; Population = 6276900 }
            yield { Name = "Italy"; AreaKM2 = 301230; Population = 58103000 }
            yield { Name = "Jamaica"; AreaKM2 = 10991; Population = 2731800 }
            yield { Name = "Japan"; AreaKM2 = 377835; Population = 127417200 }
            yield { Name = "Jersey"; AreaKM2 = 116; Population = 90810 }
            yield { Name = "Jordan"; AreaKM2 = 92300; Population = 5759700 }
            yield { Name = "Kazakhstan"; AreaKM2 = 2717300; Population = 15185800 }
            yield { Name = "Kenya"; AreaKM2 = 582650; Population = 33829600 }
            yield { Name = "Kiribati"; AreaKM2 = 811; Population = 103100 }
            yield { Name = "Korea (North)"; AreaKM2 = 120540; Population = 22912200 }
            yield { Name = "Korea (South)"; AreaKM2 = 98480; Population = 48422600 }
            yield { Name = "Kuwait"; AreaKM2 = 17820; Population = 2335600 }
            yield { Name = "Kyrgyzstan"; AreaKM2 = 198500; Population = 5146300 }
            yield { Name = "Laos"; AreaKM2 = 236800; Population = 6217100 }
            yield { Name = "Latvia"; AreaKM2 = 64589; Population = 2290200 }
            yield { Name = "Lebanon"; AreaKM2 = 10400; Population = 3826000 }
            yield { Name = "Lesotho"; AreaKM2 = 30355; Population = 1867000 }
            yield { Name = "Liberia"; AreaKM2 = 111370; Population = 3482200 }
            yield { Name = "Libya"; AreaKM2 = 1759540; Population = 5765600 }
            yield { Name = "Liechtenstein"; AreaKM2 = 160; Population = 33720 }
            yield { Name = "Lithuania"; AreaKM2 = 65200; Population = 3596600 }
            yield { Name = "Luxembourg"; AreaKM2 = 2586; Population = 468600 }
            yield { Name = "Macau"; AreaKM2 = 25; Population = 449200 }
            yield { Name = "Macedonia"; AreaKM2 = 25333; Population = 2045300 }
            yield { Name = "Madagascar"; AreaKM2 = 587040; Population = 18040300 }
            yield { Name = "Malawi"; AreaKM2 = 118480; Population = 12158900 }
            yield { Name = "Malaysia"; AreaKM2 = 329750; Population = 23953100 }
            yield { Name = "Maldives"; AreaKM2 = 300; Population = 349100 }
            yield { Name = "Mali"; AreaKM2 = 1240000; Population = 12291500 }
            yield { Name = "Malta"; AreaKM2 = 316; Population = 398500 }
            yield { Name = "Man; Population = Isle of"; AreaKM2 = 572; Population = 75050 }
            yield { Name = "Marshall Islands"; AreaKM2 = 181; Population = 59070 }
            yield { Name = "Martinique"; AreaKM2 = 1100; Population = 432900 }
            yield { Name = "Mauritania"; AreaKM2 = 1030700; Population = 3086900 }
            yield { Name = "Mauritius"; AreaKM2 = 2040; Population = 1230600 }
            yield { Name = "Mayotte"; AreaKM2 = 374; Population = 193600 }
            yield { Name = "Mexico"; AreaKM2 = 1972550; Population = 106202900 }
            yield { Name = "Micronesia; Population = Federated States of"; AreaKM2 = 702; Population = 108100 }
            yield { Name = "Moldova"; AreaKM2 = 33843; Population = 4455400 }
            yield { Name = "Monaco"; AreaKM2 = 2; Population = 32410 }
            yield { Name = "Mongolia"; AreaKM2 = 1565000; Population = 2791300 }
            yield { Name = "Montserrat"; AreaKM2 = 102; Population = 9340 }
            yield { Name = "Morocco"; AreaKM2 = 446550; Population = 32725800 }
            yield { Name = "Mozambique"; AreaKM2 = 801590; Population = 19406700 }
            yield { Name = "Myanmar"; AreaKM2 = 678500; Population = 42909500 }
            yield { Name = "Namibia"; AreaKM2 = 825418; Population = 2030700 }
            yield { Name = "Nauru"; AreaKM2 = 21; Population = 13050 }
            yield { Name = "Nepal"; AreaKM2 = 140800; Population = 27676500 }
            yield { Name = "Netherlands"; AreaKM2 = 41526; Population = 16407500 }
            yield { Name = "Netherlands Antilles"; AreaKM2 = 960; Population = 220000 }
            yield { Name = "New Caledonia"; AreaKM2 = 19060; Population = 216500 }
            yield { Name = "New Zealand"; AreaKM2 = 268680; Population = 4035500 }
            yield { Name = "Nicaragua"; AreaKM2 = 129494; Population = 5465100 }
            yield { Name = "Niger"; AreaKM2 = 1267000; Population = 11665900 }
            yield { Name = "Nigeria"; AreaKM2 = 923768; Population = 128772000 }
            yield { Name = "Niue"; AreaKM2 = 260; Population = 2170 }
            yield { Name = "Norfolk Island"; AreaKM2 = 35; Population = 1830 }
            yield { Name = "Northern Mariana Islands"; AreaKM2 = 477; Population = 80360 }
            yield { Name = "Norway"; AreaKM2 = 324220; Population = 4593000 }
            yield { Name = "Oman"; AreaKM2 = 212460; Population = 3001600 }
            yield { Name = "Pakistan"; AreaKM2 = 803940; Population = 162419900 }
            yield { Name = "Palau"; AreaKM2 = 458; Population = 20300 }
            yield { Name = "Palestinian Territories"; AreaKM2 = 6220; Population = 3761900 }
            yield { Name = "Panama"; AreaKM2 = 78200; Population = 3039200 }
            yield { Name = "Papua New Guinea"; AreaKM2 = 462840; Population = 5545300 }
            yield { Name = "Paraguay"; AreaKM2 = 406750; Population = 6347900 }
            yield { Name = "Peru"; AreaKM2 = 1285220; Population = 27925600 }
            yield { Name = "Philippines"; AreaKM2 = 300000; Population = 87857500 }
            yield { Name = "Pitcairn"; AreaKM2 = 47; Population = 46 }
            yield { Name = "Poland"; AreaKM2 = 312685; Population = 38635100 }
            yield { Name = "Portugal"; AreaKM2 = 92391; Population = 10566200 }
            yield { Name = "Puerto Rico"; AreaKM2 = 9104; Population = 3916600 }
            yield { Name = "Qatar"; AreaKM2 = 11437; Population = 863100 }
            yield { Name = "Reunion"; AreaKM2 = 2517; Population = 776900 }
            yield { Name = "Romania"; AreaKM2 = 237500; Population = 22330000 }
            yield { Name = "Russia"; AreaKM2 = 17075200; Population = 143420300 }
            yield { Name = "Rwanda"; AreaKM2 = 26338; Population = 8440800 }
            yield { Name = "Saint Helena"; AreaKM2 = 410; Population = 7460 }
            yield { Name = "Saint Kitts & Nevis"; AreaKM2 = 261; Population = 38960 }
            yield { Name = "Saint Lucia"; AreaKM2 = 616; Population = 166300 }
            yield { Name = "Saint Pierre & Miquelon"; AreaKM2 = 242; Population = 7010 }
            yield { Name = "Saint Vincent (& the Grenadines)"; AreaKM2 = 389; Population = 117500 }
            yield { Name = "Samoa"; AreaKM2 = 2944; Population = 177300 }
            yield { Name = "San Marino"; AreaKM2 = 61; Population = 28880 }
            yield { Name = "Sao Tome & Principe"; AreaKM2 = 1001; Population = 187400 }
            yield { Name = "Saudi Arabia"; AreaKM2 = 1960582; Population = 26417600 }
            yield { Name = "Senegal"; AreaKM2 = 196190; Population = 11126800 }
            yield { Name = "Serbia & Montenegro"; AreaKM2 = 102350; Population = 10829200 }
            yield { Name = "Seychelles"; AreaKM2 = 455; Population = 81190 }
            yield { Name = "Sierra Leone"; AreaKM2 = 71740; Population = 6017600 }
            yield { Name = "Singapore"; AreaKM2 = 693; Population = 4425700 }
            yield { Name = "Slovakia"; AreaKM2 = 48845; Population = 5431400 }
            yield { Name = "Slovenia"; AreaKM2 = 20273; Population = 2011100 }
            yield { Name = "Solomon Islands"; AreaKM2 = 28450; Population = 538000 }
            yield { Name = "Somalia"; AreaKM2 = 637657; Population = 8591600 }
            yield { Name = "South Africa"; AreaKM2 = 1219912; Population = 44344100 }
            yield { Name = "Spain"; AreaKM2 = 504782; Population = 40341500 }
            yield { Name = "Sri Lanka"; AreaKM2 = 65610; Population = 20064800 }
            yield { Name = "Sudan"; AreaKM2 = 2505810; Population = 40187500 }
            yield { Name = "Suriname"; AreaKM2 = 163270; Population = 438100 }
            yield { Name = "Svalbard"; AreaKM2 = 62049; Population = 2700 }
            yield { Name = "Swaziland"; AreaKM2 = 17363; Population = 1173900 }
            yield { Name = "Sweden"; AreaKM2 = 449964; Population = 9001800 }
            yield { Name = "Switzerland"; AreaKM2 = 41290; Population = 7489400 }
            yield { Name = "Syria"; AreaKM2 = 185180; Population = 18448800 }
            yield { Name = "Taiwan (Republic of China)"; AreaKM2 = 35980; Population = 22894400 }
            yield { Name = "Tajikistan"; AreaKM2 = 143100; Population = 7163500 }
            yield { Name = "Tanzania"; AreaKM2 = 945087; Population = 36766400 }
            yield { Name = "Thailand"; AreaKM2 = 514000; Population = 65444400 }
            yield { Name = "Togo"; AreaKM2 = 56785; Population = 5681500 }
            yield { Name = "Tokelau"; AreaKM2 = 10; Population = 1410 }
            yield { Name = "Tonga"; AreaKM2 = 748; Population = 112400 }
            yield { Name = "Trinidad & Tobago"; AreaKM2 = 5128; Population = 1088600 }
            yield { Name = "Tunisia"; AreaKM2 = 163610; Population = 10075000 }
            yield { Name = "Turkey"; AreaKM2 = 780580; Population = 69660600 }
            yield { Name = "Turkmenistan"; AreaKM2 = 488100; Population = 4952100 }
            yield { Name = "Turks & Caicos Islands"; AreaKM2 = 430; Population = 20560 }
            yield { Name = "Tuvalu"; AreaKM2 = 26; Population = 11640 }
            yield { Name = "Uganda"; AreaKM2 = 236040; Population = 27269500 }
            yield { Name = "Ukraine"; AreaKM2 = 603700; Population = 47425300 }
            yield { Name = "United Arab Emirates"; AreaKM2 = 82880; Population = 2563200 }
            yield { Name = "United States of America"; AreaKM2 = 9629091; Population = 295734100 }
            yield { Name = "Uruguay"; AreaKM2 = 176220; Population = 3415900 }
            yield { Name = "Uzbekistan"; AreaKM2 = 447400; Population = 26851200 }
            yield { Name = "Vanuatu"; AreaKM2 = 12200; Population = 205800 }
            yield { Name = "Vatican City"; AreaKM2 = 1; Population = 920 }
            yield { Name = "Venezuela"; AreaKM2 = 912050; Population = 25375300 }
            yield { Name = "Vietnam"; AreaKM2 = 329560; Population = 83535600 }
            yield { Name = "Virgin Islands of the US"; AreaKM2 = 352; Population = 108700 }
            yield { Name = "Wallis & Futuna"; AreaKM2 = 274; Population = 16030 }
            yield { Name = "Western Sahara"; AreaKM2 = 266000; Population = 273000 }
            yield { Name = "Yemen"; AreaKM2 = 527970; Population = 20727100 }
            yield { Name = "Zambia"; AreaKM2 = 752614; Population = 11261800 }
            yield { Name = "Zimbabwe"; AreaKM2 = 390580; Population = 12747000 }
        }
        